play.classloading.enhancers

## Class LocalvariablesNamesEnhancerJava7

- java.lang.Object
- - play.classloading.enhancers.Enhancer
  - - play.classloading.enhancers.LocalvariablesNamesEnhancer
    - - play.classloading.enhancers.LocalvariablesNamesEnhancerJava7

    public class LocalvariablesNamesEnhancerJava7
    extends LocalvariablesNamesEnhancer

Track names of local variables + generate signature fields for Java 7 support

### Nested Class Summary

### Nested classes/interfaces inherited from class play.classloading.enhancers.LocalvariablesNamesEnhancer

`LocalvariablesNamesEnhancer.LocalVariablesNamesTracer, LocalvariablesNamesEnhancer.LocalVariablesSupport`

### Nested classes/interfaces inherited from class play.classloading.enhancers.Enhancer

`Enhancer.ApplicationClassesClasspath`

### Field Summary

### Fields inherited from class play.classloading.enhancers.Enhancer

`classPool`

### Constructor Summary

Constructors
Constructor and Description
`LocalvariablesNamesEnhancerJava7()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.lang.Integer` `computeMethodHash(java.lang.Class<?>[] parameters)`
`static java.lang.Integer` `computeMethodHash(javassist.CtClass[] parameters)`
`static java.lang.Integer` `computeMethodHash(java.lang.String[] parameters)`
`void` `enhanceThisClass(ApplicationClasses.ApplicationClass applicationClass)` The magic happen here...
`static java.lang.String[]` `parameterNames(java.lang.reflect.Method method)`

### Methods inherited from class play.classloading.enhancers.LocalvariablesNamesEnhancer

`printOp`

### Methods inherited from class play.classloading.enhancers.Enhancer

`createAnnotation, createAnnotation, getAnnotations, getAnnotations, getAnnotations, hasAnnotation, hasAnnotation, hasAnnotation, makeClass, newClassPool`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalvariablesNamesEnhancerJava7

    public LocalvariablesNamesEnhancerJava7()

### Method Detail

#### enhanceThisClass

    public void enhanceThisClass(ApplicationClasses.ApplicationClass applicationClass)
                          throws java.lang.Exception

Description copied from class: `Enhancer`
The magic happen here...

Overrides:
  `enhanceThisClass` in class `LocalvariablesNamesEnhancer`
Parameters:
  `applicationClass` - The application class to construct
Throws:
  `java.lang.Exception` - if problem occurred during construction

#### computeMethodHash

    public static java.lang.Integer computeMethodHash(javassist.CtClass[] parameters)

#### computeMethodHash

    public static java.lang.Integer computeMethodHash(java.lang.Class<?>[] parameters)

#### computeMethodHash

    public static java.lang.Integer computeMethodHash(java.lang.String[] parameters)

#### parameterNames

    public static java.lang.String[] parameterNames(java.lang.reflect.Method method)